---
title: Whats Playing?
slug: whats-been-playing
description: I talk about the games that I have played recently and my thoughts on them.
author: Rusty
date: 3-24-2021
post: blog
published: true
---

![squares of games](../images/games.jpeg)
# Games I play
Deep Rock Galactic
I bought this game maybe a year ago and I started playing it again with a friend. This game is awesome. Has my favorite type of system of collecting and unlocking new things with some action packed alien bug killing. I think it keeps me going because altho you are doing the same thing over and over for the most part… the levels are randomly generated so doesn’t really seem the same. Because you unlock near gear and weapons it also keeps me going because I can use something different and it will provide a different game play feeling. Not to mention 4 different classes to play. I’m mostly play either the engineer or the scout.

#### Astroneer
I started playing Astroneer again. Theres is a new update with dedicated server option so I am going to attempt to get that working so 
I don’t have to be on for my friends to play as well. Astroneer is another relaxing, easy going game to just chill with. Explore the world, 
find materials, build a base. I might report back on this once I get the server going.

#### Minecraft Dungeons
I bought Minecraft Dungeons on Switch with the plan on maybe playing it on PC when they figure out the cross platform playing/saves. 
I enjoy the game so fa, however I don’t think it goes very far in game depth. It was only $20… It’s a fun Diablo style game that makes
 things way more simple which I enjoy. I don’t have to worry about being a complete bad ass to get any where in the game. Minecraft Dungeons
  I can just hop on here and there and play without feeling completely left out.

#### Ever Quest 2
A friend and I gave EQ2 (free) a try. I never played Ever Quest at all so I thought I would give it a try. I used to play Asheron’s Call back 
in the 90s which I also just got a dedicated server working for AC on a virtual machine a few weeks ago. I figured if I ever really want to 
play old AC again I can just load up that VM and play. Regardless EQ2 didn’t last more than a few days of playing for now, it doesn’t keep 
our interest because it’s such an old game.

#### Command & Conquer Remastered
C&C Remastered comes out this Friday! I’m going to dive into that with a friend and bring back what started a lot of PC gaming for me. I may 
have steered away from strategy games over the years but I wouldn’t mind playing C&C in HD again. I will report back on how awesome it turns 
out to be.

#### Missed And Completed Games
I have a problem. It’s not a drinking problem… but a gaming problem. I buy too many games and never finish them. I get bored, or a new game 
comes out that I can’t resist and want to play it so then it takes over. Either way, here are some games I want to finish or get back to 
playing.

* Zelda Breath of the Wild (On Going)
* Dying Light (Completed)
* Elder Scrolls Online (On Going)
* Skyrim (On Going) – Started playing this again on Switch
* Divinity 2 (On Going) – Buddy of mine and me started this coop game. Need to finish.

